%define oname     fpconst
%define name      python-%{oname}
%define dname     %{oname}-%{version}


Summary:       IEEE754 float infinity and NaN for python
Name:          python-%{oname}
Version:       0.7.2
Release:       %mkrel 1
Epoch:         0
URL:           http://cheeseshop.python.org/packages/source/f/fpconst/0.7.2
Source0:       http://cheeseshop.python.org/packages/source/f/fpconst/fpconst-0.7.2.tar.bz2
License:       BSD-like
Group:         Development/Python
BuildRequires: python-devel
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-buildroot

%description
This module provides constants and functions for handling IEEE754
floating point infinite and NaN values.

This works on any python that uses IEEE754 double values for its float
type (whether big- or little-endian). Although this is not required,
it's unlikely any python would fail to meet this requirement (the code
in both the standard and JPython interpreters assumes IEEE754 double
all over the place).

%prep
%setup -q -n %{dname}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README PKG-INFO
%defattr(-,root,root)
%{python_sitelib}/*


%changelog
* Sat Dec 09 2006 David Walluck <walluck@mandriva.org> 0.7.2-1mdv2007.0
+ Revision: 93951
- 0.7.2
- Import python-fpconst




* Fri May 13 2005 Michael Scherer <misc@mandriva.org> 0.6.0-6mdk
- from Tigrux <tigrux@ximian.com>
  - Do not require python = %pyver

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.6.0-5mdk
- Rebuild for new python

* Sat Aug 9 2003 Austin Acton <aacton@yorku.ca> 0.6.0-4mdk
- python 2.3

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.6.0-3mdk
- really fix BuildRequires, not Requires.

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.6.0-2mdk 
- BuildRequires

* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk 
- andi payn <payn@myrealbox.com> :
  - Initial specfile
